Skip to main content
`Ctrl`+`K`

# PetscViewerHDF5GetCollective

Return flag whether collective MPI-IO transfer mode is used for HDF5 reads and writes.

## Synopsis

    PetscErrorCode PetscViewerHDF5GetCollective(PetscViewer viewer, PetscBool *flg)

Not Collective

## Input Parameter

- viewer - the `PETSCVIEWERHDF5` `PetscViewer`

## Output Parameter

- flg - the flag

## Note

This setting works correctly only since HDF5 1.10.3 and if HDF5 was installed for MPI. For older versions, `PETSC_FALSE` will be always returned. For more details, see `PetscViewerHDF5SetCollective()`.

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERHDF5`, `PetscViewerHDF5SetCollective()`, `PetscViewerCreate()`, `PetscViewerSetType()`, `PetscViewerHDF5Open()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

## Implementations

PetscViewerHDF5GetCollective_HDF5() in src/sys/classes/viewer/impls/hdf5/impl/ihdf5v.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages